Redmine - Feature #12183

Hide attachments by default on wiki pages
2012-10-22 17:25 - Eric Boudaillier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

Some wiki pages contains a lot of attachments to display inline images. The list of attachments is not very useful.
Is it possible to have the attachments div hidden by default and instead display a link to toggle its visibility?
An alternative could be also to display only attachments that are not referenced in the page, with a link to display them.

Related issues:

Related to Redmine - Patch #22941: Allow thumbnails on documents, messages an... Closed

Related to Redmine - Feature #6239: Separate attachments visually from main w... Closed 2010-08-27
Related to Redmine - Patch #27090: Show the number of attachments on wiki pages Closed

History

#1 - 2014-09-25 21:21 - Adam Myers

I would also like to see this changed - it's very annoying and confuses many of our users.

We use a Wiki page to host our released installers - | like to put links to the attachments in a table. The fact that the same attachments are also listed
at the bottom of the page, for all to see, is rather silly.

#2 - 2016-10-13 04:51 - Go MAEDA
- File 2294 1-collapsed-files-list.png added
- Status changed from New to Resolved

- Target version set to 3.4.0

Implemented as a part of #22941.

22941-collapsed-files-list.png

#3 - 2016-10-13 04:52 - Go MAEDA

- Related to Patch #22941: Allow thumbnails on documents, messages and wiki pages added

#4 - 2016-12-10 09:56 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#5 - 2016-12-10 09:57 - Jean-Philippe Lang

- Related to Feature #6239: Separate attachments visually from main wiki content added

#6 - 2016-12-10 09:58 - Jean-Philippe Lang

- Subject changed from Hide attachments by default to Hide attachments by default on wiki pages

#7 - 2017-01-19 23:47 - Tobias Fischer

Wouldn't this be useful in the issue form as well?

#8 - 2018-03-10 03:30 - Go MAEDA
- Related to Patch #27090: Show the number of attachments on wiki pages added
https://www.redmine.org/issues/22941

#9 - 2023-12-26 20:36 - Harald Welte
Now I'd actually want the exact opposite behavior in my redmine sites. Quite often attachments of wiki pages get overlooked if one doesn't explicitly

link them from within the wiki page using "attachment:foo", which is of course a very tiresome exercise as an auto-generated list of attachments is
what i'd want.

So can this be turned into a prefernce, either at site level, or at project level? Or some kind of wiki macro that allows the auto-generated list of
attachments to be shown expanded instead of collapsed? Or just a macro that renders the list/thumbnails of the attachments ?
